## Retrieve information about all schemas on a zone `client.apiGateway.userSchemas.list(UserSchemaListParamsparams, RequestOptionsoptions?): V4PagePaginationArray` **get** `/zones/{zone_id}/api_gateway/user_schemas` Lists all OpenAPI schemas uploaded to API Shield for the zone, including their validation status and associated operations. ### Parameters - `params: UserSchemaListParams` - `zone_id: string` Path param: Identifier. - `omit_source?: boolean` Query param: Omit the source-files of schemas and only retrieve their meta-data. - `page?: number` Query param: Page number of paginated results. - `per_page?: number` Query param: Maximum number of results per page. - `validation_enabled?: boolean` Query param: Flag whether schema is enabled for validation. ### Returns - `OldPublicSchema` - `created_at: string` - `kind: "openapi_v3"` Kind of schema - `"openapi_v3"` - `name: string` Name of the schema - `schema_id: string` UUID. - `source?: string` Source of the schema - `validation_enabled?: boolean` Flag whether schema is enabled for validation. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const oldPublicSchema of client.apiGateway.userSchemas.list({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(oldPublicSchema.schema_id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "created_at": "2014-01-01T05:20:00.12345Z", "kind": "openapi_v3", "name": "petstore schema", "schema_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "source": "", "validation_enabled": true } ], "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ```